> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neuro-tech.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Remote Quick Login

> Allows the client to trigger a Quick Login procedure on a remote Neuron, without having to scan a QR code, and if successful, logging in on the machine using a  given Legal Identity.
Note: The call to the remote neuron does not require a login or an Agent API connection.
Note 2: A Legal ID can be used to login on multiple machines.

## Overview

Allows the client to trigger a Quick Login procedure on a remote Neuron, without having to scan a QR code, and if successful, logging in on the machine using a  given Legal Identity.

Note: The call to the remote neuron does not require a login or an Agent API connection.

Note 2: A Legal ID can be used to login on multiple machines. If administrative access  is granted to the corresponding Legal Identity, an administrative login will also be performed,  if the login is successful.

Note 3: Only session logins (i.e. admin logins and quick-logins) can be made using this  resource. No new JWT token will be generated, as the Agent API can only be connected to the broker associated with the account the agent is using.

Note 4: You can prepare the the remote quick login procedure by calling the  /Account/PrepareRemoteQuickLogin resource to get the Legal ID associated with the current account.

Note 5: This method of initiating the Quick-Login does not require the client to scan a QR code. Instead, the request to sign the login is sent automatically to the client when the /Account/RemoteQuickLogin resource is called.

If authentication succeeds, a quick-login is performed automatically in the current session, and if there is an administrative account associated with the digital identity, such a login is also performed in the current session.

## Authentication

Requires a valid JWT bearer token.

## Notes

This endpoint uses the request schema notation described in [Pattern matching](/guides/pattern-matching).


## OpenAPI

````yaml /test-api/openapi.yaml post /Agent/Account/RemoteQuickLogin
openapi: 3.1.0
info:
  title: Neuron Agent API
  version: 1.0.0
  description: |-
    The Agent API exposes core Neuron functionality over HTTP so services can
    operate without a persistent XMPP connection. Endpoints are grouped by
    capability, starting with Accounts and XMPP messaging.
servers:
  - url: https://{host}
    variables:
      host:
        default: neuron.example.com
        description: Neuron domain issued to you.
security:
  - bearerAuth: []
tags:
  - name: Accounts
  - name: Crypto
  - name: Open intelligence
  - name: Legal and contracts
  - name: State machines
  - name: Storage
  - name: Tokens
  - name: Wallet
  - name: XMPP messaging
paths:
  /Agent/Account/RemoteQuickLogin:
    post:
      tags:
        - Accounts
      summary: Remote Quick Login
      description: >-
        Allows the client to trigger a Quick Login procedure on a remote Neuron,
        without having to scan a QR code, and if successful, logging in on the
        machine using a  given Legal Identity.

        Note: The call to the remote neuron does not require a login or an Agent
        API connection.

        Note 2: A Legal ID can be used to login on multiple machines.
      operationId: post_Agent_Account_RemoteQuickLogin
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                legalId:
                  type: string
                purpose:
                  type: string
              additionalProperties: true
              required:
                - legalId
                - purpose
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  loggedIn:
                    type: boolean
                  petitionSent:
                    type: boolean
                additionalProperties: true
                required:
                  - loggedIn
                  - petitionSent
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````